
QGIS Application - Bug report #6524

eVis Plug-In, eVis-Database-connection to a MS-Access data base (QGIS 1.8)

2012-10-16 06:38 AM - Michael Rembe

Status: Closed

Priority: High

Assignee:

Category: C++ Plugins

Affected QGIS version:1.8.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 15740

Description

The result of the sql-statement on an Access-db is stored into a temporary file (f.e. 

<datasource>file:///C:/Users/MICHAE~1.WTN/AppData/Local/Temp/qt_temp.lE1500?delimiter=%09&delimiterType=regexp&xField=Easting&yField=Northing</datasource>). Because the file was deleted by QGIS QGIS crashes 

ting&yField=Northing</datasource>). Because the file was deleted by QGIS QGIS crashes after re-opening the file.

History

#1 - 2012-12-30 09:46 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2013-07-12 10:43 AM - Paolo Cavallini

- Category set to C++ Plugins

#3 - 2014-02-08 02:42 PM - Jürgen Fischer

- Status changed from Open to Feedback

Is this still the case?   QGIS doesn't crash if a delimited text file is removed while qgis is running nor when a project that references a non-existent file.

#4 - 2014-02-15 04:25 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

closing for lack of feedback (and because it is most likely fixed).
